/*
* Copyright 2020 Kumori systems S.L.
*
* Licensed under the EUPL, Version 1.2 or – as soon they
* will be approved by the European Commission - subsequent
* versions of the EUPL (the "Licence");
* You may not use this work except in compliance with the
* Licence.
* You may obtain a copy of the Licence at:
*
* https://joinup.ec.europa.eu/software/page/eupl
*
* Unless required by applicable law or agreed to in
* writing, software distributed under the Licence is
* distributed on an "AS IS" basis,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
* express or implied.
* See the Licence for the specific language governing
* permissions and limitations under the Licence.
 */
// Code generated by client-gen. DO NOT EDIT.

package fake

import (
	v1beta2 "gitlab.com/kumori-systems/community/libraries/clusterapi-client-go/pkg/generated-aws/clientset/versioned/typed/aws/v1beta2"
	rest "k8s.io/client-go/rest"
	testing "k8s.io/client-go/testing"
)

type FakeInfrastructureV1beta2 struct {
	*testing.Fake
}

func (c *FakeInfrastructureV1beta2) AWSClusters(namespace string) v1beta2.AWSClusterInterface {
	return &FakeAWSClusters{c, namespace}
}

func (c *FakeInfrastructureV1beta2) AWSClusterControllerIdentities(namespace string) v1beta2.AWSClusterControllerIdentityInterface {
	return &FakeAWSClusterControllerIdentities{c, namespace}
}

func (c *FakeInfrastructureV1beta2) AWSClusterRoleIdentities(namespace string) v1beta2.AWSClusterRoleIdentityInterface {
	return &FakeAWSClusterRoleIdentities{c, namespace}
}

func (c *FakeInfrastructureV1beta2) AWSClusterStaticIdentities() v1beta2.AWSClusterStaticIdentityInterface {
	return &FakeAWSClusterStaticIdentities{c}
}

func (c *FakeInfrastructureV1beta2) AWSClusterTemplates(namespace string) v1beta2.AWSClusterTemplateInterface {
	return &FakeAWSClusterTemplates{c, namespace}
}

func (c *FakeInfrastructureV1beta2) AWSMachines(namespace string) v1beta2.AWSMachineInterface {
	return &FakeAWSMachines{c, namespace}
}

func (c *FakeInfrastructureV1beta2) AWSMachineTemplates(namespace string) v1beta2.AWSMachineTemplateInterface {
	return &FakeAWSMachineTemplates{c, namespace}
}

func (c *FakeInfrastructureV1beta2) AWSManagedClusters(namespace string) v1beta2.AWSManagedClusterInterface {
	return &FakeAWSManagedClusters{c, namespace}
}

// RESTClient returns a RESTClient that is used to communicate
// with API server by this client implementation.
func (c *FakeInfrastructureV1beta2) RESTClient() rest.Interface {
	var ret *rest.RESTClient
	return ret
}
